AnsweredAssumed Answered

Insert Bom

Question asked by Hrituc Alexandru on Jul 6, 2015
Latest reply on Jul 6, 2015 by Leon Wurr

Hi,

How can adjust this to run for selected config?

Now it take all config and i don't want it.

 

Set swApp = Application.SldWorks

    Set Part = swApp.ActiveDoc

    Set swDrawing = Part

    Set swModelDocExt = Part.Extension

 

 

    boolstatus = swDrawing.ActivateView("Drawing View1")

    Set swView = swDrawing.ActiveDrawingView

 

 

    AnchorType = swBOMConfigurationAnchor_BottomLeft

    BomType = swBomType_Indented

    TableTemplate = "D:\EPDM\Templates\TABEL COMPONENTA + Cod_Produs.sldbomtbt"

    Configuration = ""

    Set swBOMAnnotation = swView.InsertBomTable4(True, 0.4, 0.3, AnchorType, BomType, Configuration, TableTemplate, False, swNumberingType_Detailed, True)

Outcomes